# tableType_s Struct Reference

## Data Fields

const char *const | key
const int | hasCanon
const int | hasTranslate
struct machEquivTable_s | equiv
struct machCache_s | cache
defaultEntry | defaults
canonEntry | canons
int | defaultsLength
int | canonsLength

## Detailed Description

Definition at line 86 of file rpmrc.c.

## Field Documentation

const char* const tableType_s::key

Definition at line 87 of file rpmrc.c.

const int tableType_s::hasCanon

Definition at line 88 of file rpmrc.c.

const int tableType_s::hasTranslate

Definition at line 89 of file rpmrc.c.

struct machEquivTable_s tableType_s::equiv `[read]`

Definition at line 90 of file rpmrc.c.

struct machCache_s tableType_s::cache `[read]`

Definition at line 91 of file rpmrc.c.

defaultEntry tableType_s::defaults

Definition at line 92 of file rpmrc.c.

canonEntry tableType_s::canons

Definition at line 93 of file rpmrc.c.

int tableType_s::defaultsLength

Definition at line 94 of file rpmrc.c.

int tableType_s::canonsLength

Definition at line 95 of file rpmrc.c.

The documentation for this struct was generated from the following file:

- lib/rpmrc.c